Getting started
List database imports
Read the database's import history and progress.
GET
/api/customer/v1/projects/{projectId}/databases/{databaseId}/importsPath parameters
| Name | Value |
|---|---|
projectId | Required resource ID from an earlier API response. |
databaseId | Required resource ID from an earlier API response. |
Query parameters
| Name | Type | Required | Limits |
|---|---|---|---|
limit | integer | No | Minimum 1; Maximum 100 |
Example request
Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.
curl --request GET "$HCODE_BASE_URL/api/customer/v1/projects/${PROJECT_ID}/databases/${DATABASE_ID}/imports" \
--header "Authorization: Bearer $HCODE_API_KEY" Response
The JSON shape is defined in the response schema.
Response schema
{
"type": "object",
"properties": {
"imports": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string"
},
"createdAt": {
"type": "string"
},
"errorMessage": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [],
"additionalProperties": true
}
}
},
"required": [],
"additionalProperties": true
}See errors and retries for failure responses.